optimized app

Message boards : Bug reports : optimized app

To post messages, you must log in.

AuthorMessage
thinking_goose

Send message
Joined: 12 Nov 07
Posts: 116
Credit: 1,105,645
RAC: 0
Message 667 - Posted: 28 Oct 2008, 13:37:55 UTC

Hi,
I can't seem to get the optimized app to work. I have downloaded the above files for linux, but am having problems trying to compile them. Just wondered if anyone could tell me how to do it.
ID: 667 · Rating: 0 · rate: Rate + / Rate - Report as offensive    Reply Quote
Benjamin Rietveld

Send message
Joined: 25 Oct 08
Posts: 13
Credit: 14,389
RAC: 0
Message 669 - Posted: 28 Oct 2008, 18:04:52 UTC
Last modified: 28 Oct 2008, 18:05:18 UTC

If you download the ones in this thread:
http://www.enigmaathome.net/forum_thread.php?id=17
and just follow the instructions you don't have to compile anything
ID: 669 · Rating: 0 · rate: Rate + / Rate - Report as offensive    Reply Quote
thinking_goose

Send message
Joined: 12 Nov 07
Posts: 116
Credit: 1,105,645
RAC: 0
Message 670 - Posted: 28 Oct 2008, 19:48:34 UTC - in response to Message 669.  

I've downloaded the files app_test_522.tgz and test.tgz, but I can't seem to figure out what I am supposed to do with them. I have tried adding the contents to the /boinc/ folder, but the application name (Enigma 0.76 5.20) stays the same. I have successfully managed to update the Windows app, but I find the Linux one a bit confusing.
ID: 670 · Rating: 0 · rate: Rate + / Rate - Report as offensive    Reply Quote
Profile TJM
Project administrator
Project developer
Project scientist
Avatar

Send message
Joined: 25 Aug 07
Posts: 843
Credit: 70,702,889
RAC: 390,232
Message 681 - Posted: 31 Oct 2008, 9:42:06 UTC - in response to Message 670.  
Last modified: 31 Oct 2008, 9:42:43 UTC

You have to replace the files inside BOINC data folder. I see that you're using 5.8.x client, so you have to place app_info.xml and all other files from app_test_522.tgz inside BOINC/projects/www.enigmaathome.net
Then you have to pick one of the executables from the second archive (or better build your own from sources) and replace enigma_0.76.... inside BOINC/projects/www.enigmaathome.net
After doing that, check if both enigma_0.76... and wrapper_5.xx.... have executable flags set.
M4 Project homepage
M4 Project wiki
ID: 681 · Rating: 0 · rate: Rate + / Rate - Report as offensive    Reply Quote
thinking_goose

Send message
Joined: 12 Nov 07
Posts: 116
Credit: 1,105,645
RAC: 0
Message 686 - Posted: 2 Nov 2008, 1:58:35 UTC - in response to Message 681.  

Well, it seems to work now. I moved all the files over after eventually finding where they are supposed to go! they were somewhere like /var/lib/ or something like that. Probably normal but I'm still getting to grips with linux. It now says 0.76-opt 5.20. I selected the AMD Athlon executable because it seemed to be the closest to the sempron that i'm using.

both files have exe flags also.

Thanks everyone!!
ID: 686 · Rating: 0 · rate: Rate + / Rate - Report as offensive    Reply Quote

Message boards : Bug reports : optimized app




Copyright © 2017 TJM